<script type="text/javascript">
    var id_kar = 0;
    var tab_karyawan = '<?= $tab_karyawan ?>';

    function tab_karyawan_form(tab_karyawan) {
        if (tab_karyawan == 'data_diri_pengajuan') {
            $('#tab_data_diri').addClass('active');
            form_datadiri_pengajuan();
        } else if (tab_karyawan == 'data_diri_histori') {
            $('#tab_data_diri').addClass('active');
            form_datadiri_histori();
        } else if (tab_karyawan == 'keluarga_verifikasi') {
            keluarga_verifikasi();
            $('#tab_keluarga').addClass('active');
        } else if (tab_karyawan == 'keluarga_pengajuan') {
            keluarga_pengajuan();
            $('#tab_keluarga').addClass('active');
        } else if (tab_karyawan == 'keluarga_histori') {
            keluarga_histori();
            $('#tab_keluarga').addClass('active');
        } else if (tab_karyawan == 'pendidikan_verifikasi') {
            pendidikan_verifikasi();
            $('#tab_pendidikan').addClass('active');
        } else if (tab_karyawan == 'pendidikan_pengajuan') {
            pendidikan_pengajuan();
            $('#tab_pendidikan').addClass('active');
        } else if (tab_karyawan == 'pendidikan_histori') {
            pendidikan_histori();
            $('#tab_pendidikan').addClass('active');
        } else if (tab_karyawan == 'pengalaman_verifikasi') {
            pengalaman_verifikasi();
            $('#tab_pengalaman').addClass('active');
        } else if (tab_karyawan == 'pengalaman_pengajuan') {
            pengalaman_pengajuan();
            $('#tab_pengalaman').addClass('active');
        } else if (tab_karyawan == 'pengalaman_histori') {
            pengalaman_histori();
            $('#tab_pengalaman').addClass('active');
        } else if (tab_karyawan == 'sertifikat_verifikasi') {
            sertifikat_verifikasi();
            $('#tab_sertifikat').addClass('active');
        } else if (tab_karyawan == 'sertifikat_pengajuan') {
            sertifikat_pengajuan();
            $('#tab_sertifikat').addClass('active');
        } else if (tab_karyawan == 'sertifikat_histori') {
            sertifikat_histori();
            $('#tab_sertifikat').addClass('active');
        } else if (tab_karyawan == 'file_verifikasi') {
            file_verifikasi();
            $('#tab_file').addClass('active');
        } else if (tab_karyawan == 'file_pengajuan') {
            file_pengajuan();
            $('#tab_file').addClass('active');
        } else if (tab_karyawan == 'file_histori') {
            file_histori();
            $('#tab_file').addClass('active');
        }
    }
    $(function() {
        $('.tab_detail_karyawan li').click(function() {
            $('.tab_detail_karyawan li').removeClass("active");
            $(this).addClass("active");
        });

        tab_karyawan_form(tab_karyawan);
        set_back_notif_kepegawaian();
    });

    // save back button state session menggunakan session storage
    function save_filter_session() {
        sessionStorage.setItem("back_button", true);
    }

    function set_back_notif_kepegawaian() {
        if (sessionStorage.getItem("back_notif_kepegawaian") != null) {
            $('#kembali').attr('href', sessionStorage.getItem("back_notif_kepegawaian"));
        } else if (sessionStorage.getItem("back_kepegawaian") != null) {
            $('#kembali').attr('href', sessionStorage.getItem("back_kepegawaian"));
        }
    }

    function form_datadiri() {
        $("#myTabContent").load("<?= route('master.karyawan.datadiri.detail') . '/' . $id_karyawan_md5 ?>");
    }

    function form_datadiri_pengajuan() {
        $("#myTabContent").load("<?= route('master.karyawan.datadiri.pengajuan.data') . '/' . $id_karyawan_md5 ?>");
    }

    function form_datadiri_histori() {
        $("#myTabContent").load("<?= route('master.karyawan.datadiri.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function keluarga_verifikasi() {
        $('#myTabContent').load("<?= route('master.karyawan.keluarga.main') . '/' . $id_karyawan_md5 ?>");
    }

    function keluarga_pengajuan() {
        $('#myTabContent').load("<?= route('master.karyawan.keluarga.pengajuan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function keluarga_histori() {
        $('#myTabContent').load("<?= route('master.karyawan.keluarga.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function pendidikan_verifikasi() {
        $('#myTabContent').load("<?= route('master.karyawan.riwayatpendidikan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function pendidikan_pengajuan() {
        $('#myTabContent').load("<?= route('master.karyawan.pendidikan.pengajuan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function pendidikan_histori() {
        $('#myTabContent').load("<?= route('master.karyawan.pendidikan.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function pengalaman_verifikasi() {
        $('#myTabContent').load("<?= route('master.karyawan.pengalamankerja.main') . '/' . $id_karyawan_md5 ?>");
    }

    function pengalaman_pengajuan() {
        $('#myTabContent').load("<?= route('master.karyawan.pengalamankerja.pengajuan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function pengalaman_histori() {
        $('#myTabContent').load("<?= route('master.karyawan.pengalamankerja.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function sertifikat_verifikasi() {
        $('#myTabContent').load("<?= route('master.karyawan.sertifikat.main') . '/' . $id_karyawan_md5 ?>");
    }

    function sertifikat_pengajuan() {
        $('#myTabContent').load("<?= route('master.karyawan.sertifikat.pengajuan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function sertifikat_histori() {
        $('#myTabContent').load("<?= route('master.karyawan.sertifikat.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function tab_karir() {
        $('#myTabContent').load("<?= route('master.karyawan.karirpekerjaan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function file_verifikasi() {
        $("#myTabContent").load("<?= route('master.karyawan.kelengkapanfile.main') . '/' . $id_karyawan_md5 ?>");
    }

    function file_pengajuan() {
        $('#myTabContent').load("<?= route('master.karyawan.kelengkapanfile.pengajuan.main') . '/' . $id_karyawan_md5 ?>");
    }

    function file_histori() {
        $('#myTabContent').load("<?= route('master.karyawan.kelengkapanfile.histori.data') . '/' . $id_karyawan_md5 ?>");
    }

    function tab_akun() {
        $(document).off('click', '.btn_reset_deviceid');
        $(document).off('click', '.btn_reset_facerecognition');
        $(document).off('click', '.btn_proses_reset_deviceid');
        $(document).off('click', '.btn_proses_reset_facerecognition');
        $(document).off('click', '#btn_confrim_camera');
        $("#myTabContent").load("<?= route('master.karyawan.akun.home') . '/' . $id_karyawan_md5 ?>");
    }

    <?php if ($this->session->userdata('paket_payroll') == 1) { ?>

        function tab_payroll() {
            $("#myTabContent").load("<?= route('master.karyawan.payroll.home') . '/' . $id_karyawan_md5 ?>");
        }
    <?php } ?>
</script>

<div class="content-header">
    <div class="row align-items-center">
        <div class="content-header-left col-md-6 col-12 mb-md-0">
            <h3 class="content-header-title"><?= $judul ?></h3>
            <div class="row breadcrumbs-top">
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="#"><?= $this->lang->line('menu_master_data') ?></a>
                        </li>
                        <li class="breadcrumb-item active"><?= $judul ?>
                        </li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="content-header-right col-md-6 col-12">
            <div class="float-md-right">
                <a id="kembali" href="<?= site_url('master/karyawan') ?>" class="btn btn-secondary btn-min-width" onclick="save_filter_session();">
                    <i class="fa fa-arrow-left"></i> <?= $this->lang->line('button_form_kembali') ?>
                </a>
            </div>
        </div>
    </div>
</div>

<div class="row match-height">
    <div class="col-xl-12 col-lg-12">
        <div class="card card-rounded card-detail-karyawan">
            <div class="card-content">
                <div class="card-body p-custom">
                    <div class="nav-vertical row">
                        <div class="col-md-2 border-kanan">
                            <ul class="tab_detail_karyawan nav nav-tabs nav-left flex-column">
                                <li onclick="tab_datadiri();" class="nav-item active">
                                    <a id="tab_data_diri" class="nav-link" href="<?= site_url('master/karyawan/detail') . '/' . $id_karyawan_md5; ?>" aria-expanded="true">
                                        <?= $this->lang->line('data_diri') ?>
                                        <?php
                                        $this->CI = &get_instance();
                                        echo $this->notif_status->data_diri($id_karyawan_md5); ?>
                                    </a>
                                </li>
                                <?php
                                if ($this->level_user == "1") {
                                ?>
                                    <li class="nav-item">
                                        <a id="tab_keluarga" class="nav-link" href="<?= route('master.karyawan.keluarga.home') . '/' . $id_karyawan_md5; ?>" aria-expanded="false">
                                            <?= $this->lang->line('data_keluarga') . $this->notif_status->keluarga($id_karyawan_md5); ?>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a id="tab_pendidikan" class="nav-link" href="<?= route('master.karyawan.riwayatpendidikan.home') . '/' . $id_karyawan_md5 ?>" aria-expanded="false">
                                            <?= $this->lang->line('data_pendidikan') . $this->notif_status->pendidikan($id_karyawan_md5); ?>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a id="tab_pengalaman" class="nav-link" href="<?= route('master.karyawan.pengalamankerja.home') . '/' . $id_karyawan_md5; ?>" aria-expanded="false">
                                            <?= $this->lang->line('pengalaman_kerja') . $this->notif_status->pengalaman($id_karyawan_md5); ?>
                                        </a>
                                    </li>
                                    <li onclick="tab_karir();" class="nav-item">
                                        <a class="nav-link" data-toggle="tab" aria-expanded="false">
                                            <?= $this->lang->line('karir_pekerjaan') ?>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a id="tab_sertifikat" class="nav-link" href="<?= route('master.karyawan.sertifikat.home') . '/' . $id_karyawan_md5; ?>" aria-expanded="false">
                                            <?= $this->lang->line('sertifikat_pelatihan') . $this->notif_status->sertifikat($id_karyawan_md5); ?>
                                        </a>
                                    </li>
                                    <li onclick="tab_akun();" class="nav-item">
                                        <a class="nav-link" data-toggle="tab" aria-expanded="false">
                                            <?= $this->lang->line('akses_akun') ?>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a id="tab_file" class="nav-link" href="<?= route('master.karyawan.kelengkapanfile.home') . '/' . $id_karyawan_md5; ?>" aria-expanded="false">
                                            <?= $this->lang->line('kelengkapan_file') . $this->notif_status->file($id_karyawan_md5); ?>
                                        </a>
                                    </li>
                                    <?php if ($this->session->userdata('paket_payroll') == 1) { ?>
                                        <li onclick="tab_payroll();" class="nav-item">
                                            <a class="nav-link" data-toggle="tab" aria-expanded="false">
                                                Payroll
                                            </a>
                                        </li>
                                <?php
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                        <div class="col-md-10">
                            <div id="myTabContent" class="tab-content">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
